#/bin/sh

echo ""
echo "About to build MoarNES with gcc."
echo ""
echo "If this fails, you probably do not have the SDL library dev package installed."
echo "SDL includes should be in /usr/include/SDL or /usr/local/include/SDL"
echo ""
gcc -o moarnes main.c 6502.c PPU.c APU.c -lSDL -I/usr/include/SDL -I/usr/local/include/SDL
echo "Finished running gcc."
echo ""
echo "If the compilation was successful, you can launch the emulator like this:"
echo "./moarnes romfile.nes"
echo ""
